#!/usr/bin/python
import numpy as np
import math
import matplotlib
from matplotlib import pyplot as plt
import matplotlib.cm as cm
import skrf as rf
import MultilineTRLdesign as TRL
import plot_ML_TRL

#Run the Code

#Line/Freq/Temperature Parameters to set
freqs = np.linspace(0.1,50,500) #frequencies in GHz
physicaltemp = 300 #can be 4K or 300K for now
lines = [0.2,2.345,3.31]#optimized lines
linescompare = 1 #use to make a new plot comparing your optimized solution with another
lines2 = [0.2,1.5,3,15]#auto start line set


plot_ML_TRL.plotMLTRL(lines,freqs,physicaltemp,linescompare,lines2)
